package com.bc_chat.bc_base.entity;

import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;
import java.util.List;

/**
 * author：Created by zhaohaoting on 2019/2/27
 * email：526309416@qq.com
 * desc：
 */
public class ListModel<T> {

    @SerializedName(value = "users", alternate = {"list"})
    private List<T> list;
    private List<String> index; //设置拼音首字母集合
    private int  pageSize;

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public List<T> getList() {
        if (list == null) {
            list = new ArrayList<>();
        }
        return list;
    }

    public List<String> getIndex() {
        if (index == null) {
            index = new ArrayList<>();
        }
        return index;
    }


    public void setList(List<T> list) {
        this.list = list;
    }
}
